Bug 25379 - AppleTalk module produces 'kmem_grow' errors when loaded
Summary: AppleTalk module produces 'kmem_grow' errors when loaded
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 14:55 UTC by Basil Hussain
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Basil Hussain 2001-01-31 14:55:19 UTC
When loading of the AppleTalk kernel module is caused by the Netatalk daemon 
starting up for the first time, the kernel reports several (usually 3 
consecutively) "kmem_grow: Called nonatomically from int - size-32" error 
messages.

Reproducible: Always

Steps to Reproduce:
1. Stop the Netatalk daemon.
2. Remove the AppleTalk kernel module using 'rmmod'.
3. Re-insert the AppleTalk module using 'insmod'.
4. Re-start Netatalk.
	
Actual Results:

# /etc/rc.d/init.d/atalk stop
Shutting down AppleTalk services:                          [  OK  ]
# /sbin/rmmod appletalk
# /sbin/insmod appletalk
Using /lib/modules/2.2.16-22/misc/appletalk.o
# /etc/rc.d/init.d/atalk start
Starting AppleTalk services:                               [  OK  ]

The following is logged to /var/log/messages:

Jan 31 10:28:24 secure kernel: kmem_grow: Called nonatomically from int - 
size-32
Jan 31 10:28:24 secure last message repeated 2 times

Expected Results:  Well, no errors, obviously...

This on a RH 6.2 system, onto which I have retrofitted the 2.2.16-22 kernel 
as distributed with RH7.0. The AppleTalk kernel module's version is "NET4: 
AppleTalk 0.18 for Linux NET4.0". Tests were performed using netatalk-
1.4.99-0.20001108mdk (http://sourceforge.net/projects/netatalk/) installed 
via RPM.

Also, the functionality of the Netatalk daemon doesn't seem to be affected 
by the errors - all normal operations work as usual. Restarting Netatalk by 
itself doesn't cause any errors.

Comment 1 Basil Hussain 2001-01-31 19:37:51 UTC
With a bit of digging around on the kernel development mailing list, I found out 
that this has been solved by a patch to 2.2.17pre13, thusly:

http://marc.theaimsgroup.com/?l=linux-kernel&m=96447317717627&w=2


Comment 2 Michael K. Johnson 2001-02-08 17:49:12 UTC
OK, let's queue that patch for analysis for future 2.2 kernel
releases.

Comment 3 Basil Hussain 2001-02-15 10:43:19 UTC
I notice there is a new 2.2.17-14 kernel package out now:

http://www.redhat.com/support/errata/RHSA-2001-013.html

Has this issue been fixed in this release? I could find no mention of 
AppleTalk in the RPM's changelog. Or will it be resolved in a future 
release?

Comment 4 Bugzilla owner 2004-09-30 15:38:54 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.